Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 226701 - dev-dotnet/taglib-sharp: patch (taglib-sharp-fix-docdir.patch) changes both autotools source and result
Summary: dev-dotnet/taglib-sharp: patch (taglib-sharp-fix-docdir.patch) changes both a...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Jurek Bartuszek (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: bad-autotools
  Show dependency tree
 
Reported: 2008-06-14 16:08 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2008-12-26 00:44 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-14 16:08:47 UTC
The patch in summary is touching both Makefile.in and Makefile.am, probably to avoid autotools rebuild.

This treatment is usually reserved for a few selected system packages that cannot have their autotool scripts rebuilt.

This _could_ cause maintainermode-driven rebuild (see http://blog.flameeyes.eu/articles/2008/06/13/maintaner-mode ), which is something we should be avoiding as much as possible.

Please just patch Makefile.am and/or configure.in/.ac and rebuild autotools, unless you have very good reasons not to.

P.S.: also -fix-sandbox-violation
Comment 1 Samuli Suominen gentoo-dev 2008-07-28 18:51:47 UTC
Diego, I'll clean up the files/ directory soon as bug 233181 (stabilization of =taglib-sharp-2.0.3.0 which doesn't use the mentioned patches) has been completed.
Comment 2 Peter Alfredsen (RETIRED) gentoo-dev 2008-11-23 21:09:00 UTC
taglib-sharp-2.0.3.0 is now stable.
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2008-12-26 00:44:26 UTC
This has been fixed.